/*
Template:       bonnie
Theme Name:     Bonnie Child
Theme URI:      https://bonnie.svb.la-studioweb.com/
Author:         LA Studio
Author URI:     https://1.envato.market/POnObq
Description:    Bonnie - Pet Store WooCommerce Theme
Version:        1.0.0
Requires at least: 5.9
Requires PHP:   7.0
Tags:           animal store, cat boarding, dog boarding, dog daycare, dog sitting, vet care, luxury pet hotel, pet boarding, pet care, pet grooming, pet resort, pet salon, pet shop, pet sitting, pet store
License:        GNU General Public License
License URI:    licence/GPL.txt
Text Domain:    bonnie-child
Domain Path:    /languages/
Elementor tested up to: 3.31.2
Elementor Pro tested up to: 3.31.2
WooCommerce tested up to: 10.1.1
*/
.bonnie--banner-flash {
  overflow: hidden;
}
.bonnie--banner-flash:before {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(255, 255, 255, 0.5);
  content: "";
  transition: transform 0.6s;
  transform: scale3d(1.9, 1.4, 1) rotate3d(0, 0, 1, -45deg) translate3d(0, -130%, 0);
  z-index: 0;
}
.bonnie--banner-flash:hover:before {
  transform: scale3d(1.9, 1.4, 1) rotate3d(0, 0, 1, -45deg) translate3d(0, 130%, 0);
}

.bonnie--banner-rollover {
  --spacing: 0;
  --spacing2: 0;
}
.bonnie--banner-rollover .lakit-bannerlist__image,
.bonnie--banner-rollover .lakit-bannerlist__link {
  overflow: inherit;
}
.bonnie--banner-rollover .lakit-bannerlist__image:after {
  background: repeating-conic-gradient(var(--theme-primary-color) 0deg 10deg, transparent 10deg 20deg);
  border-radius: 50%;
  left: var(--spacing);
  right: var(--spacing);
  top: var(--spacing);
  bottom: var(--spacing);
  opacity: 1 !important;
  z-index: 0;
}
.bonnie--banner-rollover .lakit-bannerlist__image img {
  z-index: 1;
  border-radius: 50%;
  padding: var(--spacing2) !important;
  background: #fff;
  transition-property: padding, transform;
  transform: rotate(0);
}
.bonnie--banner-rollover .lakit-bannerlist__inner:hover {
  --spacing: -4px;
  --spacing2: 10px;
}
.bonnie--banner-rollover .lakit-bannerlist__inner:hover img {
  transform: rotate(15deg);
}

.bonnie--banner-rollover2 .lakit-bannerlist__image img {
  transform: rotate(0);
}
.bonnie--banner-rollover2 .lakit-bannerlist__inner:hover img {
  transform: rotate(15deg);
}

@media (min-width: 800px) {
  .lakit-site-wrapper > .container.site-content--default {
    margin-bottom: 150px;
  }
}